#pragma once

#include "OptionsWindow.h"

#include <Button.h>

class MapOptions : public Framework::Window
{
private:
    Framework::CheckBox* underground;
    Framework::CheckBox* followPlayer;
    Framework::CheckBox* showPlayers;
    Framework::CheckBox* showChunkBorders;
    
public:
    MapOptions();

    bool isUnderground();
    bool isFollowPlayer();
    bool isShowPlayers();
    bool isShowChunkBorders();
};